API referenceAccount
Summarize usage
View as MarkdownOpen in ClaudeOpen in ChatGPTConnect the roasOS MCP server: https://mcp.roasos.com/mcp
Authorization
bearerAuth AuthorizationBearer <token>
API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...
In: header
Query Parameters
from*string
Format
date-timeto*string
Format
date-timegroup_by?string
Default
"day"Value in
- "day"
- "api_key"
- "model"
- "capability"
- "project"
- "cost_center"
Response Body
application/json
curl -X GET "https://example.com/v1/account/usage/summary?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z"{ "data": { "from": "2019-08-24T14:15:22Z", "to": "2019-08-24T14:15:22Z", "group_by": "day", "rows": [ { "dimension": "string", "consumed_credits": 0, "job_count": 0 } ] }}